## org.exist.xquery.functions.session
Class EncodeURL

    java.lang.Object
      org.exist.xquery.AbstractExpression
          org.exist.xquery.PathExpr
              org.exist.xquery.Function
                  org.exist.xquery.BasicFunction
                      org.exist.xquery.functions.session.EncodeURL

All Implemented Interfaces:
  CompiledExpression, CompiledXQuery, Expression

public class EncodeURL
extends BasicFunction

Author:
  wolf

Field Summary
`static FunctionSignature` `deprecated`
`static FunctionSignature` `signature`

Fields inherited from class org.exist.xquery.Function
`BUILTIN_FUNCTION_NS`

Fields inherited from interface org.exist.xquery.Expression
`DOT_TEST, EXPRESSION_ID_INVALID, IGNORE_CONTEXT, IN_PREDICATE, IN_UPDATE, IN_WHERE_CLAUSE, NO_CONTEXT_ID, SINGLE_STEP_EXECUTION`

Constructor Summary
`EncodeURL(XQueryContext context)`

Method Summary
`Sequence` `eval(Sequence[] args, Sequence contextSequence)` Process the function.

Methods inherited from class org.exist.xquery.BasicFunction
`eval`

Methods inherited from class org.exist.xquery.Function
`analyze, createFunction, dump, getArgument, getArgumentCount, getArguments, getASTNode, getCardinality, getDependencies, getName, getParent, getSignature, isCalledAs, returnsType, setArguments, setASTNode, setParent, setPrimaryAxis, toString`

Methods inherited from class org.exist.xquery.PathExpr
`accept, add, add, addPath, addPredicate, dump, getContext, getDocumentSet, getExpression, getLastExpression, getLength, getLiteralValue, getSource, isValid, replaceLastExpression, reset, resetState, setContext, setSource`

Methods inherited from class org.exist.xquery.AbstractExpression
`eval, getContextDocSet, getContextId, getExpressionId, setContextDocSet`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.exist.xquery.CompiledXQuery
`eval`

Field Detail

### signature

    public static final FunctionSignature signature

### deprecated

    public static final FunctionSignature deprecated

Constructor Detail

### EncodeURL

    public EncodeURL(XQueryContext context)

Method Detail

### eval

    public Sequence eval(Sequence[] args,
                         Sequence contextSequence)
                  throws XPathException

  Description copied from class: `BasicFunction`
  Process the function. All arguments are passed in the array args. The number of arguments, their type and cardinality have already been checked to match the function signature.

  Specified by:
    `eval` in class `BasicFunction`
  Parameters:
    `args` -
    `contextSequence` -
  Throws:
    `XPathException`

Copyright (C) Wolfgang Meier. All rights reserved.